ignite-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (IGNITE-7576) ignite.sh|bat and related scripts version check is not compatible with OpenJDK
Date Wed, 31 Jan 2018 02:03:00 GMT

    [ https://issues.apache.org/jira/browse/IGNITE-7576?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16346134#comment-16346134
] 

ASF GitHub Bot commented on IGNITE-7576:
----------------------------------------

GitHub user dwimsey opened a pull request:

    https://github.com/apache/ignite/pull/3456

    IGNITE-7576 - Tweak to version check regexp to find OpenJDK

    Haven't tested this extensively, it 'works for me' under OpenJDK 1.8 and OracleJDK 1.8

You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/dwimsey/ignite IGNITE-7576

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/ignite/pull/3456.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #3456
    
----
commit 9b08c6ae216e92c29d4914847720d033ca7dcac2
Author: David Wimsey <david@...>
Date:   2018-01-31T01:56:38Z

    IGNITE-7576 - Tweak to version check regexp to find OpenJDK

----


> ignite.sh|bat and related scripts version check is not compatible with OpenJDK
> ------------------------------------------------------------------------------
>
>                 Key: IGNITE-7576
>                 URL: https://issues.apache.org/jira/browse/IGNITE-7576
>             Project: Ignite
>          Issue Type: Bug
>          Components: build
>    Affects Versions: 2.4
>            Reporter: David Wimsey
>            Priority: Blocker
>             Fix For: 2.4
>
>         Attachments: openjdk.txt, oraclejdk.txt
>
>
> The version check used in various startup and utility scripts incorrectly flags OpenJDK
as inappropriate due to a improper check on the version string.
> On line 66 of the following file, OpenJDK will not be detected because the line starts
with openjdk rather than java (example attached)
> [https://git-wip-us.apache.org/repos/asf?p=ignite.git;a=blob;f=bin/include/functions.sh;h=8f4570bd420d9e5c3815a6feb40e86c3986234be;hb=HEAD]
>  



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message